RDF::Trine::Iterator::Bindings::Materialized(3pm)

NAME
RDF::Trine::Iterator::Bindings::Materialized - Materialized bindings class

VERSION
This document describes RDF::Trine::Iterator::Bindings::Materialized version 1.007

SYNOPSIS
    use RDF::Trine::Iterator;

    my $iterator = RDF::Trine::Iterator::Bindings::Materialized->new( \@data, \@names );
    while (my $row = $iterator->next) {
        my @vars        = keys %$row;
        # do something with @vars
    }

    my $iterator = RDF::Trine::Iterator::Bindings->new( \&code, \@names );
    my $miter = $iterator->materialize;
    while (my $row = $miter->next) {
        my @vars        = keys %$row;
        # do something with @vars
    }
    $miter->reset; # start the iteration again
    while (my $row = $miter->next) {
        # ...
    }

METHODS
Beyond the methods documented below, this class inherits methods from the RDF::Trine::Iterator::Bindings class.

"new ( \@results, \@names, %args )"
    Returns a new materialized bindings interator. Results must be a reference to an array containing individual results.

"reset"
    Returns the iterator to its starting position.

"next"
    Returns the next item in the iterator.

"length"
    Returns the number of elements in the iterator.

BUGS
Please report any bugs or feature requests to through the GitHub web interface at <https://github.com/kasei/perlrdf/issues>.

AUTHOR
Gregory Todd Williams "<gwilliams@cpan.org>"

COPYRIGHT
Copyright (c) 2006-2012 Gregory Todd Williams. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.